%define installlocation local 
%define otherone fnal
Summary: UPS/UPD bootstrap %{installlocation} config file
Name: upsupdbootstrap-%{installlocation}
Version: 5.0
Release: 0
Copyright: Fermi 
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux LTS 5.x
Vendor: Fermilab
Packager: Connie Sieh
prereq: upsupdbootstrap
requires: upsupdbootstrap, perl, perl-libwww-perl, pam
conflicts:upsupdbootstrap-%{otherone}
%description
Installs upsupdbootstrap into /%{installlocation} .  Will NOT overwrite a existing /%{installlocation} area.  Will not remove a existing /%{installlocation} area on removal.
%files
%pre
if [ -d /%{installlocation}/ups ] ; then
  echo "Will not overwrite a existing /%{installlocation} area."
  echo "If you need to overwrite it then remove /%{installlocation}"
  echo ", and install this rpm again"
  exit 1
else
  if [ ! -s /etc/shadow ] ; then
    touch /etc/shadow
    chmod 400 /etc/shadow
  fi
fi
%post
#This is because the install permissions of /dev/null do not allow non root writes
chmod 666 /dev/null
VERSION=.v2_2
if [ -s /var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/stage1.sh -a -d /var/tmp/upsupdbootstrap/ ]; then
  chmod 755 /var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/stage1.sh
#CJS edit out making of /usr/local/bin/bash links
  CONFIG=/var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/configs/%{installlocation}
  sed -e "s/do_ups installasroot shells/#do_ups installasroot shells/" $CONFIG > /tmp/config.save
 /var/tmp/upsupdbootstrap/prd/bootstrap/$VERSION/stage1.sh -c /var/tmp/upsupdbootstrap/ /tmp/config.save 
 rm -r /var/tmp/upsupdbootstrap/
else
 echo "upsupdbootstrap rpm is not installed"
 exit 1
fi
%postun
